import 'package:flutter/material.dart';
import 'package:iconamoon/iconamoon.dart';

void main() {
  runApp(App());
}

class App extends StatelessWidget {
  
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'IconaMoon Example',
      theme: ThemeData(
        primarySwatch: Colors.blue,
        visualDensity: VisualDensity.adaptivePlatformDensity,
      ),
      home: Home(),
    );
  }
}

class Home extends StatefulWidget {
  @override
  _HomeState createState() => _HomeState();
}

class _HomeState extends State<Home> {

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: _appBar(),
      body: _body()
    );
  }

  _appBar() {
    return AppBar(
      title: Text('IconaMoon Example')
    );
  }

  _body() {
    return Container(
      child: GridView.count(
        crossAxisCount: 5,
        children: [
          Icon(IconaMoon.zoomOut),
          Icon(IconaMoon.zoomIn),
          Icon(IconaMoon.winkingFace),
          Icon(IconaMoon.volumeUp),
          Icon(IconaMoon.volumeOff),
          Icon(IconaMoon.volumeDown),
          Icon(IconaMoon.upsideDownFace),
          Icon(IconaMoon.upload),
          Icon(IconaMoon.unavailable),
          Icon(IconaMoon.type),
          Icon(IconaMoon.trendUp),
          Icon(IconaMoon.trendDown),
          Icon(IconaMoon.trashSimple),
          Icon(IconaMoon.trash),
          Icon(IconaMoon.ticket),
          Icon(IconaMoon.synchronize),
          Icon(IconaMoon.swap),
          Icon(IconaMoon.store),
          Icon(IconaMoon.starOff),
          Icon(IconaMoon.star),
          Icon(IconaMoon.squintingFace),
          Icon(IconaMoon.sortingRight),
          Icon(IconaMoon.sortingLeft),
          Icon(IconaMoon.sortingCenter),
          Icon(IconaMoon.smilingFace),
          Icon(IconaMoon.slightlySmilingFace),
          Icon(IconaMoon.signY),
          Icon(IconaMoon.signX),
          Icon(IconaMoon.signF),
          Icon(IconaMoon.signTimesSquare),
          Icon(IconaMoon.signTimesCircle),
          Icon(IconaMoon.signTimes),
          Icon(IconaMoon.signRadical),
          Icon(IconaMoon.signPlusSquare),
          Icon(IconaMoon.signPlusMinus),
          Icon(IconaMoon.signPlusCircle),
          Icon(IconaMoon.signPlus),
          Icon(IconaMoon.signPi),
          Icon(IconaMoon.signPercent),
          Icon(IconaMoon.signMinusSquare),
          Icon(IconaMoon.signMinusCircle),
          Icon(IconaMoon.signMinus),
          Icon(IconaMoon.signLemniscate),
          Icon(IconaMoon.signFactorial),
          Icon(IconaMoon.signEqual),
          Icon(IconaMoon.signDivisionSquare),
          Icon(IconaMoon.signDivisionSlash),
          Icon(IconaMoon.signDivisionCircle),
          Icon(IconaMoon.signDivision),
          Icon(IconaMoon.shoppingCardRemove),
          Icon(IconaMoon.shoppingCardAdd),
          Icon(IconaMoon.shoppingCard),
          Icon(IconaMoon.shoppingBag),
          Icon(IconaMoon.shieldYes),
          Icon(IconaMoon.shieldOff),
          Icon(IconaMoon.shieldNo),
          Icon(IconaMoon.shield),
          Icon(IconaMoon.share2),
          Icon(IconaMoon.share1),
          Icon(IconaMoon.settings),
          Icon(IconaMoon.send),
          Icon(IconaMoon.search),
          Icon(IconaMoon.screenNormal),
          Icon(IconaMoon.screenFull),
          Icon(IconaMoon.scanner),
          Icon(IconaMoon.restart),
          Icon(IconaMoon.relievedFace),
          Icon(IconaMoon.questionMarkSquare),
          Icon(IconaMoon.questionMarkCircle),
          Icon(IconaMoon.profileCircle),
          Icon(IconaMoon.profile),
          Icon(IconaMoon.printer),
          Icon(IconaMoon.playlist),
          Icon(IconaMoon.playlistShuffle),
          Icon(IconaMoon.playlistRepeatSong),
          Icon(IconaMoon.playlistRepeatList),
          Icon(IconaMoon.playerStop),
          Icon(IconaMoon.playerStart),
          Icon(IconaMoon.playerPrevious),
          Icon(IconaMoon.playerPlay),
          Icon(IconaMoon.playerPause),
          Icon(IconaMoon.playerNext),
          Icon(IconaMoon.playerEnd),
          Icon(IconaMoon.playCircle),
          Icon(IconaMoon.phoneOff),
          Icon(IconaMoon.phone),
          Icon(IconaMoon.pensiveFace),
          Icon(IconaMoon.pen),
          Icon(IconaMoon.options),
          Icon(IconaMoon.number9Square),
          Icon(IconaMoon.number9Circle),
          Icon(IconaMoon.number9),
          Icon(IconaMoon.number8Square),
          Icon(IconaMoon.number8Circle),
          Icon(IconaMoon.number8),
          Icon(IconaMoon.number7Square),
          Icon(IconaMoon.number7Circle),
          Icon(IconaMoon.number7),
          Icon(IconaMoon.number6Square),
          Icon(IconaMoon.number6Circle),
          Icon(IconaMoon.number6),
          Icon(IconaMoon.number5Square),
          Icon(IconaMoon.number5Circle),
          Icon(IconaMoon.number5),
          Icon(IconaMoon.number4Square),
          Icon(IconaMoon.number4Circle),
          Icon(IconaMoon.number4),
          Icon(IconaMoon.number3Square),
          Icon(IconaMoon.number3Circle),
          Icon(IconaMoon.number3),
          Icon(IconaMoon.number2Square),
          Icon(IconaMoon.number2Circle),
          Icon(IconaMoon.number2),
          Icon(IconaMoon.number1Square),
          Icon(IconaMoon.number1Circle),
          Icon(IconaMoon.number1),
          Icon(IconaMoon.number0Square),
          Icon(IconaMoon.number0Circle),
          Icon(IconaMoon.number0),
          Icon(IconaMoon.notificationOff),
          Icon(IconaMoon.notification),
          Icon(IconaMoon.news),
          Icon(IconaMoon.neutralFace),
          Icon(IconaMoon.musicArtist),
          Icon(IconaMoon.musicAlbum),
          Icon(IconaMoon.music2),
          Icon(IconaMoon.music1),
          Icon(IconaMoon.move),
          Icon(IconaMoon.mouse),
          Icon(IconaMoon.modeLight),
          Icon(IconaMoon.modeDark),
          Icon(IconaMoon.microphoneOff),
          Icon(IconaMoon.microphone),
          Icon(IconaMoon.menuKebabVerticalSquare),
          Icon(IconaMoon.menuKebabVerticalCircle),
          Icon(IconaMoon.menuKebabVertical),
          Icon(IconaMoon.menuKebabHorizontalSquare),
          Icon(IconaMoon.menuKebabHorizontalCircle),
          Icon(IconaMoon.menuKebabHorizontal),
          Icon(IconaMoon.menuBurguerVertical),
          Icon(IconaMoon.menuBurguerHorizontal),
          Icon(IconaMoon.lockOff),
          Icon(IconaMoon.lock),
          Icon(IconaMoon.locationPinOff),
          Icon(IconaMoon.locationPin),
          Icon(IconaMoon.location),
          Icon(IconaMoon.linkExternal),
          Icon(IconaMoon.link),
          Icon(IconaMoon.like),
          Icon(IconaMoon.lightning2),
          Icon(IconaMoon.lightning1),
          Icon(IconaMoon.kissingFaceWithSmilingEyes),
          Icon(IconaMoon.kissingFace),
          Icon(IconaMoon.invoice),
          Icon(IconaMoon.informationSquare),
          Icon(IconaMoon.informationCircle),
          Icon(IconaMoon.home),
          Icon(IconaMoon.history),
          Icon(IconaMoon.heartOff),
          Icon(IconaMoon.heart),
          Icon(IconaMoon.headphone),
          Icon(IconaMoon.gift),
          Icon(IconaMoon.funnel),
          Icon(IconaMoon.frowningFace),
          Icon(IconaMoon.frame),
          Icon(IconaMoon.folderVideo),
          Icon(IconaMoon.folderRemove),
          Icon(IconaMoon.folderMusic),
          Icon(IconaMoon.folderImage),
          Icon(IconaMoon.folderDocument),
          Icon(IconaMoon.folderClose),
          Icon(IconaMoon.folderCheck),
          Icon(IconaMoon.folderAdd),
          Icon(IconaMoon.folder),
          Icon(IconaMoon.flag),
          Icon(IconaMoon.fileVideo),
          Icon(IconaMoon.fileRemove),
          Icon(IconaMoon.fileImage),
          Icon(IconaMoon.fileDocument),
          Icon(IconaMoon.fileClose),
          Icon(IconaMoon.fileCheck),
          Icon(IconaMoon.fileAudio),
          Icon(IconaMoon.fileAdd),
          Icon(IconaMoon.file),
          Icon(IconaMoon.faceWithOpenMouth),
          Icon(IconaMoon.faceWithoutMouth),
          Icon(IconaMoon.eyeOff),
          Icon(IconaMoon.eye),
          Icon(IconaMoon.expressionlessFace),
          Icon(IconaMoon.exit),
          Icon(IconaMoon.enter),
          Icon(IconaMoon.email),
          Icon(IconaMoon.edit),
          Icon(IconaMoon.download),
          Icon(IconaMoon.undo),
          Icon(IconaMoon.redo),
          Icon(IconaMoon.dislike),
          Icon(IconaMoon.discover),
          Icon(IconaMoon.discount),
          Icon(IconaMoon.disappointedFace),
          Icon(IconaMoon.deliveryFree),
          Icon(IconaMoon.deliveryFast),
          Icon(IconaMoon.delivery),
          Icon(IconaMoon.cursor),
          Icon(IconaMoon.creditCard),
          Icon(IconaMoon.copy),
          Icon(IconaMoon.coonfusedFace),
          Icon(IconaMoon.component),
          Icon(IconaMoon.compare),
          Icon(IconaMoon.commentRemove),
          Icon(IconaMoon.commentDots),
          Icon(IconaMoon.commentClose),
          Icon(IconaMoon.commentCheck),
          Icon(IconaMoon.commentAdd),
          Icon(IconaMoon.comment),
          Icon(IconaMoon.cloudYes),
          Icon(IconaMoon.cloudUpload),
          Icon(IconaMoon.cloudRemove),
          Icon(IconaMoon.cloudOff),
          Icon(IconaMoon.cloudNo),
          Icon(IconaMoon.cloudError),
          Icon(IconaMoon.cloudDownload),
          Icon(IconaMoon.cloudClock),
          Icon(IconaMoon.cloudAdd),
          Icon(IconaMoon.cloud),
          Icon(IconaMoon.cloudSquare),
          Icon(IconaMoon.closeCircle2),
          Icon(IconaMoon.closeCircle1),
          Icon(IconaMoon.close),
          Icon(IconaMoon.clock),
          Icon(IconaMoon.cheque),
          Icon(IconaMoon.checkSquare),
          Icon(IconaMoon.checkCircle2),
          Icon(IconaMoon.checkCircle1),
          Icon(IconaMoon.check),
          Icon(IconaMoon.certificateBadge),
          Icon(IconaMoon.category),
          Icon(IconaMoon.cameraVideo),
          Icon(IconaMoon.camerImage),
          Icon(IconaMoon.calendarRemove),
          Icon(IconaMoon.calendarAdd),
          Icon(IconaMoon.calendar2),
          Icon(IconaMoon.calendar1),
          Icon(IconaMoon.calculator),
          Icon(IconaMoon.briefcase),
          Icon(IconaMoon.box),
          Icon(IconaMoon.bookmarkOff),
          Icon(IconaMoon.bookmark),
          Icon(IconaMoon.bluetooth),
          Icon(IconaMoon.badge),
          Icon(IconaMoon.backspace),
          Icon(IconaMoon.attentionSquare),
          Icon(IconaMoon.attentionCircle),
          Icon(IconaMoon.attachment),
          Icon(IconaMoon.apps),
          Icon(IconaMoon.d),
          Icon(IconaMoon.arrowUp6Circle),
          Icon(IconaMoon.arrowUp5Circle),
          Icon(IconaMoon.arrowUp4Square),
          Icon(IconaMoon.arrowUp3Square),
          Icon(IconaMoon.arrowUp2),
          Icon(IconaMoon.arrowUp1),
          Icon(IconaMoon.arrowTopRight6Circle),
          Icon(IconaMoon.arrowTopRight5Circle),
          Icon(IconaMoon.arrowTopRight3Square),
          Icon(IconaMoon.arrowTopRight2),
          Icon(IconaMoon.arrowTopRight1),
          Icon(IconaMoon.arrowTopLeft6Circle),
          Icon(IconaMoon.arrowTopLeft5Circle),
          Icon(IconaMoon.arrowTopLeft4Square),
          Icon(IconaMoon.arrowTopLeft3Square),
          Icon(IconaMoon.arrowTopLeft2),
          Icon(IconaMoon.arrowTopLeft1),
          Icon(IconaMoon.arrowRight6Circle),
          Icon(IconaMoon.arrowRight5Circle),
          Icon(IconaMoon.arrowRight4Square),
          Icon(IconaMoon.arrowRight3Square),
          Icon(IconaMoon.arrowRight2),
          Icon(IconaMoon.arrowRight1),
          Icon(IconaMoon.arrowDownRight2),
          Icon(IconaMoon.arrowLeft6Circle),
          Icon(IconaMoon.arrowLeft5Circle),
          Icon(IconaMoon.arrowLeft4Square),
          Icon(IconaMoon.arrowLeft3Square),
          Icon(IconaMoon.arrowLeft2),
          Icon(IconaMoon.arrowLeft1),
          Icon(IconaMoon.arrowDown6Circle),
          Icon(IconaMoon.arrowDown5Circle),
          Icon(IconaMoon.arrowDown4Square),
          Icon(IconaMoon.arrowDown3Square),
          Icon(IconaMoon.arrowDown2),
          Icon(IconaMoon.arrowDown1),
          Icon(IconaMoon.arrowBottomUp4Square),
          Icon(IconaMoon.arrowBottomRight6Circle),
          Icon(IconaMoon.arrowBottomRight5Circle),
          Icon(IconaMoon.arrowBottomRight4Square),
          Icon(IconaMoon.arrowBottomRight3Square),
          Icon(IconaMoon.arrowBottomRight1),
          Icon(IconaMoon.arrowBottomLeft6Circle),
          Icon(IconaMoon.arrowBottomLeft5Circle),
          Icon(IconaMoon.arrowBottomLeft4Square),
          Icon(IconaMoon.arrowBottomLeft3Square),
          Icon(IconaMoon.arrowBottomLeft2),
          Icon(IconaMoon.arrowBottomLeft1),
        ],
      ),
    );
  }

}